//
//  PopoverGridViewManager.h
//  libPopoverGridView
//
//  Created by daichuanzhi on 12-8-7.
//  Copyright (c) 2012年 SecureBrowser. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "WEPopoverController.h"


extern NSString *popoverWillShow;
extern NSString *popoverDidDismiss;


typedef enum GridViewCellType:NSUInteger{
    GridViewCellType1 = 1,
    GridViewCellType2 = 2,
    GridViewCellType3 = 3
}GridViewCellType;

@protocol PopoverGridViewProtocol <NSObject>
//每个cell隐藏/显示时，根据需要恢复现场或更新视图
- (void)onShow;
@end


@interface PopoverGridViewManager : NSObject <WEPopoverControllerDelegate>

@property (nonatomic, retain) NSMutableArray *cellArray;
@property (nonatomic, retain) NSMutableArray *cellFixedArray;

- (void)addGridViewCell:(UIView<PopoverGridViewProtocol> *)cell type:(GridViewCellType)aType;
- (void)addGridViewCell:(UIView<PopoverGridViewProtocol> *)cell AtIndex:(NSUInteger)index type:(GridViewCellType)aType;
- (void)addGridViewCellFixed:(UIView *)cell type:(GridViewCellType)aType;
- (void)addGridViewCellFixed:(UIView *)cell AtIndex:(NSUInteger)index type:(GridViewCellType)aType;

- (void)popoverFromRect:(CGRect)rect inView:(UIView *)view;
- (void)popoverViewController:(UIViewController *)viewController fromRect:(CGRect)rect inView:(UIView *)view;
- (void)popoverViewController:(UIViewController *)viewController fromRect:(CGRect)rect inView:(UIView *)view withContentSize:(CGSize)contentSize;
- (void)dismissPopoverAnimated:(BOOL)animated;
@end


