//
//  SBVideoPlayer.h
//  NGMoviePlayer
//
//  Created by ji gang on 1/4/13.
//  Copyright (c) 2013 NOUS Wissensmanagement GmbH. All rights reserved.
//

#import <Foundation/Foundation.h>
#import "SBVideoItem.h"

@protocol SBVideoPlayerDataSource <NSObject>

-(void)willGetRelativeItemsForCurrentUrl:(NSString *)urlStr;
-(void)wannerPlayVideoItem:(SBVideoItem *)item;
-(BOOL)beTVPlayForQihooUrl:(NSString *)qihooUrl;


@optional
-(void)willGetTVPlayItemsForCurrentUrl:(NSString *)urlStr;
-(NSArray *)relativeTVPlayItemsForCurrentUrl:(NSString *)urlStr;
@end

@protocol SBVideoPlayerDelegate <NSObject>

@optional
-(void)downloadForItem:(SBVideoItem *)videoItem;
-(void)didClosePlayerViewController:(UIViewController *)viewController;
@end

@interface SBVideoPlayer : NSObject {
    
}

@property (nonatomic,strong) SBVideoItem * playingItem;
@property (nonatomic,assign) id<SBVideoPlayerDataSource> dataSource;
@property (nonatomic,assign) id<SBVideoPlayerDelegate> delegate;

@property (nonatomic, readonly, getter = isPlaying) BOOL playing;



+(SBVideoPlayer *)shareInstance;
-(void)setRelativeItems:(NSArray *)items originalUrl:(NSString *)originalUrl;
-(void)setTVPlayItems:(NSArray *)items;
-(void)setPlayItem:(SBVideoItem *)item;
-(UIViewController *)playerViewControllerForItem:(SBVideoItem *)item;
-(UIViewController *)playerViewControllerForUrl:(NSString *)urlStr title:(NSString *)title;
-(UIViewController *)playerViewControllerForUrl:(NSString *)urlStr title:(NSString *)title coverImage:(UIImage *)img;

@end
